ARG BASE_IMAGE
FROM ${BASE_IMAGE}
RUN apt-get update && apt-get upgrade -y && apt-get clean -y

ARG KUBEPIE_COMPONENT=pieeat

COPY src /app/src
RUN mkdir -p /app/lib/python/kubepie && \
    mv /app/src/python/kubepie/__init__.py           /app/lib/python/kubepie/ && \
    mv /app/src/python/kubepie/common                /app/lib/python/kubepie/ && \
    mv /app/src/python/kubepie/${KUBEPIE_COMPONENT}  /app/lib/python/kubepie/ && \
    mv /app/src/python/${KUBEPIE_COMPONENT}.py       /app/entrypoint.py && \
    rm -rf /app/src && \
    pip install -r /app/lib/python/kubepie/common/requirements.txt \
    -r /app/lib/python/kubepie/${KUBEPIE_COMPONENT}/requirements.txt

ENV PYTHONPATH="$PYTHONPATH:/app/lib/python"

# Mark variables
ENV PIEEAT_CHECK_INTERVAL_SEC=""
ENV PIEEAT_INITIAL_DELAY_SEC=""
ENV PIEEAT_DELETE_FAILED_AFTER_SEC=""
ENV PIEEAT_NAMESPACE=""
ENV PIEEAT_MONITOR_FAILURE_COUNT=""
ENV PIEEAT_LIVENESS_PORT=""
ENV PIEDATA_SERVICE_NAME_TEMPLATE=""
ENV PIEDATA_SERVICE_CHECK_PORT=""
ENV PIEDECK_WAIT_TIMEOUT=""


WORKDIR /app/
CMD ["python", "/app/entrypoint.py"]
